GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeRequestType Class Reference

## Public Member Functions
GLSUserCredentials | getCredentials ()
void | setCredentials (GLSUserCredentials value)
String | getCountryCode ()
void | setCountryCode (String value)
String | getParcelShopType ()
void | setParcelShopType (String value)

## Protected Attributes
GLSUserCredentials | credentials
String | countryCode
String | parcelShopType

## Detailed Description

Java class for GetParcelShopByCountryCodeRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="GetParcelShopByCountryCodeRequestType">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Credentials" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSUserCredentials"/>
            <element name="CountryCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="ParcelShopType" type="{http://www.w3.org/2001/XMLSchema}string"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 37 of file GetParcelShopByCountryCodeRequestType.java.

## Member Function Documentation

## ◆ getCountryCode()

String eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeRequestType.getCountryCode | ( |  | ) |

Gets the value of the countryCode property.

Returns
  possible object is String

Definition at line 78 of file GetParcelShopByCountryCodeRequestType.java.

## ◆ getCredentials()

GLSUserCredentials eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeRequestType.getCredentials | ( |  | ) |

Gets the value of the credentials property.

Returns
  possible object is GLSUserCredentials

Definition at line 54 of file GetParcelShopByCountryCodeRequestType.java.

## ◆ getParcelShopType()

String eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeRequestType.getParcelShopType | ( |  | ) |

Gets the value of the parcelShopType property.

Returns
  possible object is String

Definition at line 102 of file GetParcelShopByCountryCodeRequestType.java.

## ◆ setCountryCode()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeRequestType.setCountryCode | ( | String | value | ) |

Sets the value of the countryCode property.

Parameters

  value | allowed object is String

Definition at line 90 of file GetParcelShopByCountryCodeRequestType.java.

## ◆ setCredentials()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeRequestType.setCredentials | ( | GLSUserCredentials | value | ) |

Sets the value of the credentials property.

Parameters

  value | allowed object is GLSUserCredentials

Definition at line 66 of file GetParcelShopByCountryCodeRequestType.java.

## ◆ setParcelShopType()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeRequestType.setParcelShopType | ( | String | value | ) |

Sets the value of the parcelShopType property.

Parameters

  value | allowed object is String

Definition at line 114 of file GetParcelShopByCountryCodeRequestType.java.

## Member Data Documentation

## ◆ countryCode

String eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeRequestType.countryCode
| protected

Definition at line 42 of file GetParcelShopByCountryCodeRequestType.java.

## ◆ credentials

GLSUserCredentials eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeRequestType.credentials
| protected

Definition at line 40 of file GetParcelShopByCountryCodeRequestType.java.

## ◆ parcelShopType

String eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeRequestType.parcelShopType
| protected

Definition at line 44 of file GetParcelShopByCountryCodeRequestType.java.

The documentation for this class was generated from the following file:

- GetParcelShopByCountryCodeRequestType.java